const getVersion = require('get-published-version').default;
const semver = require('semver');
const package = require('../../package');

async function main() {
  return getVersion('esoui-publish')
    .then(version => {
      console.log(`Remote version: ${version}\nLocal version:${package.version}`);
      return semver.compare(version, package.version) < 0;
    })
}

main()
  .then(upgraded => upgraded ? console.log('Version upgraded\n##vso[task.complete result=Succeeded;]') : console.error('Version not updated\n##vso[task.complete result=Failed;]'));