const EsouiPublish = require(process.env.PUBLISHER).EsouiPublish;
const package = require(`${process.env.PUBLISHER}/package`);
const params = {
  id: package.elderScrollsOnlineAddonId,
  version: package.version,
  description: process.env.DESCRIPTION,
  changelog: process.env.CHANGELOG,
  compatibility: package.elderScrollsOnlineCompatibility,
  updatefile: process.env.UPDATEFILE
};

if (!params.id) {
  throw new Error('Must provide addon id');
}

new EsouiPublish(process.env.ESOUI_TOKEN, params).createUpdatePackageAndUpdate()
  .then(response => console.log(JSON.stringify(response, null, 2)))
  .catch(error => {
    console.log(error);
    console.log('##vso[task.complete result=Failed;]');
  });