# esoui-publish
A simple node utility that will publish addons to [ESOUI](https://www.esoui.com/community.php).

## Setup
### Install
- Generate an esoui access token. They can be generated [on ESOUI](https://www.esoui.com/downloads/filecpl.php?action=apitokens). Tokens are like passwords. Make sure to keep them secure.
`npm install -g esoui-publish`
### Prepare
- Recommend setting the `ESOUI_TOKEN` environment variable so you do not have to store it in code or use it on the command line.
- The addon description and changelog can be read from files. If no files are provided the main add on page will not be affected.
- Any missing arguments will result in no change to that attribute.
- The `testDeploy` argument will test your upload against https://api.esoui.com/addons/updatetest which will verify your upload will be accepted. 

## Run
### Command Line
`esoui-publish --id=2272 --description='esoui-description.txt' --changelog='esoui-changelog.txt' --compatibility='5.2.5' --updateFile=esoui-publish-1514.zip --testDeploy=true`

### JavaScript
```javascript
const EsouiPublish = require('esoui-publish').EsouiPublish;
const params = {
  id: 2272,
  version: '1.0.0',
  description: 'esoui-description.txt',
  changelog: 'esoui-changelog.txt',
  compatibility: '5.2.5',
  updateFile: 'esoui-publish.zip',
  testDeploy: true // Remove or set to false to publish for real.
};

new EsouiPublish(process.env.ESOUI_TOKEN, params).createUpdatePackageAndUpdate()
  .then(response => console.log(JSON.stringify(response, null, 2)))
  .catch(error => console.log(error));
```